Bug 640060 - Dashboard - Platforms Summary: Clicking through a platform's name results in HTML in titlebar
Dashboard - Platforms Summary: Clicking through a platform's name results in ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-10-04 12:40 EDT by Corey Welton
Modified: 2011-05-23 21:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of mangled titlebar in browser (89.51 KB, image/png)
2010-10-04 12:46 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-10-04 12:40:50 EDT
Description of problem:
If I click through a platform's  name in the Platforms summary portlet, I get a bunch of html generated in the browser's title bar.  I don't seem to be able to do this just navigating to the resource itself in inventory.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1.  Take some platforms into resource.  Navigate to Dashboard
2.  In the Platforms Summary portlet, click through the names of one of your platforms.
3.  View results on subsequent resource view.
  
Actual results:
Buncha html in the browser's title bar.

Expected results:
Clean title bar.

Additional info:
I don't /seem/ to be able to repro this from the Inventory tab itself, navigating to the platform.  I only seem to see this coming through the dashboard.  See forthcoming screenshot.
Comment 1 Corey Welton 2010-10-04 12:46:03 EDT
Created attachment 451460 [details]
screenshot of mangled titlebar in browser
Comment 2 John Mazzitelli 2011-02-17 14:37:35 EST
works now
Comment 3 Sudhir D 2011-03-15 05:20:31 EDT
Verified this in the latest master build. 

I don't see mangled HTML tags. I see "RHQ: Resource | Summary | Activity"

I clicked around other tabs and the title bar is updated accordingly. 

Marking this bug as verified.
Comment 4 Corey Welton 2011-05-23 21:16:36 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:16:41 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:16:42 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:16:48 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.